%global enable_tests 0

Name:       nodejs-formidable
Version:    1.0.13
Release:    1%{?dist}
Summary:    A Node.js module for parsing form data, especially file uploads
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/felixge/node-formidable
Source0:    http://registry.npmjs.org/formidable/-/formidable-%{version}.tgz
BuildArch:  noarch

# This software wants nodejs < 0.10.0
Patch0:     %{name}-1.0.13-engine-version.patch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(findit)
BuildRequires:  npm(gently)
BuildRequires:  npm(hashish)
BuildRequires:  npm(urun)
BuildRequires:  npm(utest)
%endif

%description
This is a Node.js module for parsing form data, especially file uploads.
It was developed for Transloadit, a service focused on uploading and encoding
images and videos.

It offers:
 - Fast (~500mb/sec), non-buffering multipart parser
 - Automatically writing file uploads to disk
 - Low memory footprint
 - Graceful error handling
 - Very high test coverage


%prep
%setup -q -n package
%patch0 -p1
rm -rf node-gently/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/formidable
cp -pr package.json index.js lib/ tool/ \
    %{buildroot}%{nodejs_sitelib}/formidable

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/run.js
%endif


%files
%doc LICENSE Readme.md example/
%{nodejs_sitelib}/formidable


%changelog
* Wed Mar 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.13-1
- update to upstream release 1.0.13

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.12-1
- update to upstream release 1.0.12
- use LICENSE file that is now included in the tarball

* Thu Feb 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-3
- add copy of LICENSE from upstream

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-2
- add npm(urun) to BuildRequires

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-1
- initial package
